aboutsummaryrefslogtreecommitdiff
path: root/flatcc/test/leakcheck.sh
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2023-07-16 02:03:33 +0200
committerToni Uhlig <matzeton@googlemail.com>2023-07-16 02:03:33 +0200
commitb31e4bc16d1df62b50c6f77a77041f9e7b6c906d (patch)
tree024c74c13d918aa6bde302aab6836fa33607613c /flatcc/test/leakcheck.sh
parentba6815ef8fb8ae472412b5af2837a7caba2799c2 (diff)
parent5a40295c4cf0af5ea8da9ced04a4ce7d3621a080 (diff)
Merge commit '5a40295c4cf0af5ea8da9ced04a4ce7d3621a080' as 'flatcc'
Diffstat (limited to 'flatcc/test/leakcheck.sh')
-rwxr-xr-xflatcc/test/leakcheck.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/flatcc/test/leakcheck.sh b/flatcc/test/leakcheck.sh
new file mode 100755
index 0000000..e77705d
--- /dev/null
+++ b/flatcc/test/leakcheck.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -e
+../build.sh
+cd `dirname $0`/..
+mkdir -p build/tmp/leakcheck
+valgrind --leak-check=yes \
+ bin/flatcc_d -a -o build/tmp/leakcheck --prefix zzz --common-prefix hello \
+ test/monster_test/monster_test.fbs